# Cookbook

This is a little cookbook site which will hopefully have lots of different people's favourite recipes and serve as a place to find new and interesting recipes.

## Development

The site is made using the [Eleventy](https://www.11ty.dev) static site generator.

Firstly, install the dependencies using `npm install --dev` or `yarn install --dev`.

Then, run `npm run dev` or `yarn run dev` to start a local development server.

You can also run `npm run build` or `yarn run build` to build the site, the files are output in the `_site` directory.

## Adding Recipes

To add a new recipe, simply create a new JSON file in `_data/recipes`. It might be worth copying an existing one as a template.

There is a schema in the root of the repo `recipe.schema.json`, which all the JSON files are checked against in the CI stage. If you use an IDE like Visual Studio Code, it will automagically validate your recipe (make sure to have `"$schema": "../../recipe.schema.json"` in the document).
